=== modified file 'client/drizzledump_data.cc'
--- client/drizzledump_data.cc	2011-02-21 14:04:40 +0000
+++ client/drizzledump_data.cc	2011-02-23 00:39:48 +0000
@@ -56,15 +56,10 @@
 
 extern int opt_destination;
 
-/* returns true on keep, false on ignore */
+// returns true on keep, false on ignore Olaf: sounds backwards/wrong, shouldn't it be the other way around?
 bool DrizzleDumpDatabase::ignoreTable(std::string tableName)
 {
-  std::string dbTable(databaseName);
-  dbTable.append(".");
-  dbTable.append(tableName);
-
-  boost::unordered_set<std::string>::iterator iter= ignore_table.find(dbTable);
-  return (iter == ignore_table.end());
+  return ignore_table.find(databaseName + "." + tableName) == ignore_table.end();
 }
 
 void DrizzleDumpDatabase::cleanTableName(std::string &tableName)

=== modified file 'drizzled/error.cc'
--- drizzled/error.cc	2011-02-22 00:20:06 +0000
+++ drizzled/error.cc	2011-02-23 00:39:48 +0000
@@ -27,8 +27,8 @@
 #include <drizzled/definitions.h>
 #include <drizzled/error.h>
 #include <drizzled/gettext.h>
-
 #include <drizzled/identifier.h>
+#include <drizzled/find_ptr.h>
 
 #include <boost/unordered_map.hpp>
 #include <exception>
@@ -284,12 +284,12 @@
 
 const std::string &ErrorMap::find(drizzled::error_t error_num) const
 {
-  ErrorMessageMap::const_iterator pos= mapping_.find(error_num);
-  if (pos == mapping_.end())
+  const ErrorMessageMap::mapped_type* pos= find_ptr(mapping_, error_num);
+  if (!pos)
   {
     throw ErrorStringNotFound();
   }
-  return pos->second.second;
+  return pos->second;
 }
 
 #define ADD_ERROR_MESSAGE(code, msg) add(code, STRINGIFY_ARG(code), msg)

=== added file 'drizzled/find_ptr.h'
--- drizzled/find_ptr.h	1970-01-01 00:00:00 +0000
+++ drizzled/find_ptr.h	2011-02-23 00:39:48 +0000
@@ -0,0 +1,15 @@
+#pragma once
+
+template <class T, class U>
+typename T::mapped_type* find_ptr(T& c, U v)
+{
+	typename T::iterator i = c.find(v);
+	return i == c.end() ? NULL : &i->second;
+}
+
+template <class T, class U>
+const typename T::mapped_type* find_ptr(const T& c, U v)
+{
+	typename T::const_iterator i = c.find(v);
+	return i == c.end() ? NULL : &i->second;
+}

=== modified file 'drizzled/session.cc'
--- drizzled/session.cc	2011-02-22 04:11:07 +0000
+++ drizzled/session.cc	2011-02-23 00:39:48 +0000
@@ -66,6 +66,7 @@
 #include <drizzled/transaction_services.h>
 #include <drizzled/user_var_entry.h>
 #include <drizzled/util/functors.h>
+#include <drizzled/find_ptr.h>
 #include <plugin/myisam/myisam.h>
 
 #include <algorithm>
@@ -1779,9 +1780,8 @@
   if (cleanup_done)
     return NULL;
 
-  UserVars::iterator iter= user_vars.find(name);
-  if (iter != user_vars.end())
-    return (*iter).second;
+  if (UserVars::mapped_type* iter= find_ptr(user_vars, name))
+    return *iter;
 
   if (not create_if_not_exists)
     return NULL;

